Search documentation of tiger_stripe

# Stripe.Services.ApplicationFeeService (tiger_stripe v0.1.1)

Copy Markdown View Source

PlatformFee

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all application fees

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve an application fee

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all application fees

Returns a list of application fees you’ve previously collected. The application fees are returned in sorted order, with the most recent fees appearing first.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve an application fee

Retrieves the details of an application fee that your account has collected. The same information is returned when refunding the application fee.